<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;

class SatCatalogsSeeder extends Seeder
{
    /**
     * Ejecuta la siembra de datos en la base de datos.
     */
    public function run()
    {
        // Llamar al comando para importar los CSV generados
        $this->command->info('📌 Importando catálogos SAT desde CSV...');
        Artisan::call('sat:import-csv');

        $this->command->info('✅ Importación completada.');
    }
}
